### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Attributes
DiscreteAveragingAsianOption Class Reference
Financial instruments

Discrete-averaging Asian option. More...

`#include <ql/instruments/asianoption.hpp>`

Inheritance diagram for DiscreteAveragingAsianOption:
[legend]

List of all members.

## Classes

class | arguments
| Extra arguments for single-asset discrete-average Asian option. More...
class | engine
| Discrete-averaging Asian engine base class. More...

## Public Member Functions

| DiscreteAveragingAsianOption (Average::Type averageType, Real runningAccumulator, Size pastFixings, const std::vector< Date > &fixingDates, const boost::shared_ptr< StrikedTypePayoff > &payoff, const boost::shared_ptr< Exercise > &exercise)
void | setupArguments (PricingEngine::arguments *) const

## Protected Attributes

Average::Type | averageType_
Real | runningAccumulator_
Size | pastFixings_
std::vector< Date > | fixingDates_

## Detailed Description

Discrete-averaging Asian option.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.